ApiQueryContentTranslation does not respect from and to params if sourcetitle param not present
Closed, ResolvedPublic1 Story Points

Description

For T111028, the recommend tool need a seed article for the current user. When I tried the query api to find the last translation of the user to use as source article, I am getting result in wrong languages

This api: action=query&format=jsonfm&list=contenttranslation&from=en&to=es&limit=1 does not give the last translation betwen en and es for the user. Instead it gives the last translation between any language.

santhosh created this task.Nov 4 2015, 2:17 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to Normal.
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 4 2015, 2:17 AM

Change 251015 had a related patch set uploaded (by Santhosh):
Fix: ApiQueryContentTranslation does not respect from and to params

https://gerrit.wikimedia.org/r/251015

santhosh claimed this task.Nov 4 2015, 6:37 PM
santhosh moved this task from Backlog to In Review on the LE-CX7-Sprint 3 board.
santhosh edited a custom field.
Amire80 moved this task from Backlog to CX7 on the ContentTranslation board.Nov 5 2015, 7:58 AM

Change 251015 merged by jenkins-bot:
Fix: ApiQueryContentTranslation does not respect from and to params

https://gerrit.wikimedia.org/r/251015

santhosh moved this task from In Review to QA on the LE-CX7-Sprint 3 board.Nov 24 2015, 9:16 AM
KartikMistry moved this task from QA to Done on the LE-CX7-Sprint 3 board.Nov 27 2015, 1:53 PM
Arrbee closed this task as Resolved.Dec 1 2015, 6:53 AM
Arrbee added a subscriber: Arrbee.